/*
 *			i s c t r l . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	iscntrl	Test for Control Character
index		Test for control character

synopsis
	.s.nf
	int
	iscntrl(c)
	int		c;
	.s.f
Description

	Return non-zero if c is control character, 0 otherwise.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	iscntrl
#undef	iscntrl
#endif

int
iscntrl(c)
int		c;
{
	return (_ctype_[c & 0177] & _C);
}
